Bug 1337941 - ovirt-guest-agent.service won't report to oVirt
Summary: ovirt-guest-agent.service won't report to oVirt
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ovirt-guest-agent
Version: 24
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1338512 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-20 13:52 UTC by W. de Heiden
Modified: 2017-08-08 14:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:35:42 UTC
Type: Bug


Attachments (Terms of Use)

Description W. de Heiden 2016-05-20 13:52:44 UTC
Description of problem:
Running Fedora 24 BETA on oVirt 3.6 ovirt-guest-agent-common will start, but throws an error and will not report door the oVirt management server.

Version-Release number of selected component (if applicable):
Name        : ovirt-guest-agent-common
Version     : 1.0.11
Release     : 3.fc24
Architecture: noarch


How reproducible:

Steps to Reproduce:
1. systemctl restart ovirt-guest-agent.service
2. journalctl -l -u ovirt-guest-agent.service
3. check oVirt, no information like ip address or fqdn is shown in the oVirt management interface. 

Actual results:
Journalctl will show errors like:

mei 20 15:15:08 fedora24.blabla.bla systemd[1]: Starting oVirt Guest Agent...
mei 20 15:15:09 fedora24.blabla.bla systemd[1]: Started oVirt Guest Agent.
mei 20 15:15:13 fedora24.blabla.bla userhelper[1261]: pam_succeed_if(ovirt-locksession:auth): requirement "user = ovirtagent" was met by user "ovirtagent"
mei 20 15:15:13 fedora24.blabla.bla userhelper[1261]: running '/usr/share/ovirt-guest-agent/LockActiveSession.py' with root privileges on behalf of 'ovirtagent'
mei 20 15:15:14 fedora24.blabla.bla python[1188]: Unhandled exception in thread started by <bound method LinuxVdsAgent.doWork of <GuestAgentLinux2.LinuxVdsAgent instance at 0x7fb4f6189e18>>
mei 20 15:15:14 fedora24.blabla.bla python[1188]: Traceback (most recent call last):
mei 20 15:15:14 fedora24.blabla.bla python[1188]:   File "/usr/share/ovirt-guest-agent/OVirtAgentLogic.py", line 218, in doWork
mei 20 15:15:14 fedora24.blabla.bla python[1188]:     self.sendTimezone()
mei 20 15:15:14 fedora24.blabla.bla python[1188]:   File "/usr/share/ovirt-guest-agent/OVirtAgentLogic.py", line 365, in sendTimezone
mei 20 15:15:14 fedora24.blabla.bla python[1188]:     ti = self.dr.getTimezoneInfo()
mei 20 15:15:14 fedora24.blabla.bla python[1188]:   File "/usr/share/ovirt-guest-agent/OVirtAgentLogic.py", line 165, in getTimezoneInfo
mei 20 15:15:14 fedora24.blabla.bla python[1188]:     return timezone.get_timezone_info()
mei 20 15:15:14 fedora24.blabla.bla python[1188]: AttributeError: 'module' object has no attribute 'get_timezone_info'
mei 20 15:18:46 fedora24.blabla.bla systemd[1]: Stopping oVirt Guest Agent...
mei 20 15:18:46 fedora24.blabla.bla systemd[1]: Stopped oVirt Guest Agent.
mei 20 15:48:07 fedora24.blabla.bla systemd[1]: Stopped oVirt Guest Agent.
mei 20 15:48:07 fedora24.blabla.bla systemd[1]: Starting oVirt Guest Agent...



Expected results:
no errors, information like ip address and fqdn shown in oVirt management interface

Additional info:
Fedora 24 BETA!!

Comment 1 Vinzenz Feenstra [evilissimo] 2016-05-23 07:08:55 UTC
*** Bug 1338512 has been marked as a duplicate of this bug. ***

Comment 2 Fedora Update System 2016-05-23 07:14:58 UTC
ovirt-guest-agent-1.0.12-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4e53ce39a6

Comment 3 Fedora Update System 2016-05-23 07:15:26 UTC
ovirt-guest-agent-1.0.12-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b707abcf0f

Comment 4 Fedora Update System 2016-05-23 07:15:50 UTC
ovirt-guest-agent-1.0.12-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-753af77897

Comment 5 Fedora Update System 2016-05-24 02:52:09 UTC
ovirt-guest-agent-1.0.12-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4e53ce39a6

Comment 6 Fedora Update System 2016-05-24 02:56:29 UTC
ovirt-guest-agent-1.0.12-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-753af77897

Comment 7 Fedora Update System 2016-05-24 06:19:28 UTC
ovirt-guest-agent-1.0.12-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b707abcf0f

Comment 8 W. de Heiden 2016-05-24 12:46:56 UTC
Looks great, tested the Fedora 24 packing from the testing repository:

Name        : ovirt-guest-agent-common
Version     : 1.0.12
Release     : 2.fc24
Architecture: noarch
Install Date: di 24 mei 2016 14:43:50 CEST
Group       : Applications/System
Size        : 165738
License     : ASL 2.0
Signature   : RSA/SHA256, ma 23 mei 2016 20:58:28 CEST, Key ID 73bde98381b46521
Source RPM  : ovirt-guest-agent-1.0.12-2.fc24.src.rpm
Build Date  : ma 23 mei 2016 09:00:21 CEST
Build Host  : arm02-builder05.arm.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://wiki.ovirt.org/wiki/Category:Ovirt_guest_agent
Summary     : Commonly used files of the oVirt Guest Agent

The nformation like ip address or fqdn is shown in the oVirt management interface.

Comment 9 Fedora Update System 2016-06-21 08:05:02 UTC
ovirt-guest-agent-1.0.12-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ddb2d7b43b

Comment 10 Fedora Update System 2016-06-21 08:05:28 UTC
ovirt-guest-agent-1.0.12-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-40b51529ad

Comment 11 Fedora Update System 2016-06-21 08:05:52 UTC
ovirt-guest-agent-1.0.12-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9524b795a2

Comment 12 Fedora Update System 2016-06-22 02:18:52 UTC
ovirt-guest-agent-1.0.12-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ddb2d7b43b

Comment 13 Fedora Update System 2016-06-22 02:26:26 UTC
ovirt-guest-agent-1.0.12-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-40b51529ad

Comment 14 Fedora Update System 2016-06-22 02:54:12 UTC
ovirt-guest-agent-1.0.12-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9524b795a2

Comment 15 Fedora Update System 2016-07-11 23:20:04 UTC
ovirt-guest-agent-1.0.12-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-07-12 02:25:53 UTC
ovirt-guest-agent-1.0.12-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-07-12 15:08:03 UTC
ovirt-guest-agent-1.0.12-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora End Of Life 2017-07-25 20:50:23 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 19 Fedora End Of Life 2017-08-08 14:35:42 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.